<template>
  <div>
    <a-comment id="comment-area">
      <a-avatar slot="avatar" style="backgroundColor:#87d068" icon="user"/>
      <div slot="content">
        <a-form-item>
          <a-textarea id="my-textarea" :maxLength="200" :rows="4" v-model="content" placeholder="发表评论~~(限制在200字以内)"/>
        </a-form-item>
        <a-form-item>
          <a-button html-type="submit" :loading="submitting" type="primary"
                    :disabled="content === ''"
                    @click="handleSubmit">添加留言
          </a-button>
        </a-form-item>
      </div>
    </a-comment>
  </div>
</template>
<script>

import {mapActions, mapState} from "vuex";

export default {
  data() {
    return {
      content: "",
      submitting: false
    };
  },

  computed: {
    ...mapState('discuss', ['post_id'])
  },
  methods: {
    ...mapActions('discuss', ['getCommentList']),
    async handleSubmit() {
      this.submitting = true;
      await this.$axios.post('comment/add', {
        post_id: Number(this.post_id),
        content: this.content
      }).then(res => {
        if (res.code == 0) {
          this.content = "";
          this.getCommentList()
        } else {
          this.$message.error('提交失败')
        }
      }).catch(() => {
        this.$message.error('提交失败')
      });
      this.submitting = false;
    },
  }
};
</script>